# Module `Unit`

UNIT Classes

## Global(s)

UNIT |

## Type `UNIT`

UNIT.CategoryName |
UNIT.ClassName |
UNIT:Flare(FlareColor) | Signal a flare at the position of the UNIT.
UNIT.FlareColor |
UNIT:FlareGreen() | Signal a green flare at the position of the UNIT.
UNIT:FlareRed() | Signal a red flare at the position of the UNIT.
UNIT:FlareWhite() | Signal a white flare at the position of the UNIT.
UNIT:FlareYellow() | Signal a yellow flare at the position of the UNIT.
UNIT:GetCallSign() |
UNIT:GetCategoryName() |
UNIT:GetDCSUnit() |
UNIT:GetID() |
UNIT:GetName() |
UNIT:GetPointVec2() |
UNIT:GetPositionVec3() |
UNIT:GetPrefix() |
UNIT:GetTypeName() |
UNIT:IsAir() | Returns if the unit is of an air category.
UNIT:IsAlive() |
UNIT:New(DCSUnit) | Create a new UNIT from DCSUnit.
UNIT:OtherUnitInRadius(AwaitUnit, Radius) |
UNIT:Smoke(SmokeColor) | Smoke the UNIT.
UNIT:SmokeBlue() | Smoke the UNIT Blue.
UNIT.SmokeColor |
UNIT:SmokeGreen() | Smoke the UNIT Green.
UNIT:SmokeOrange() | Smoke the UNIT Orange.
UNIT:SmokeRed() | Smoke the UNIT Red.
UNIT:SmokeWhite() | Smoke the UNIT White.

## Type `UNIT.FlareColor`

UNIT.FlareColor.Green |
UNIT.FlareColor.Red |
UNIT.FlareColor.White |
UNIT.FlareColor.Yellow |

## Type `UNIT.SmokeColor`

UNIT.SmokeColor.Blue |
UNIT.SmokeColor.Green |
UNIT.SmokeColor.Orange |
UNIT.SmokeColor.Red |
UNIT.SmokeColor.White |

## Global(s)

#UNIT UNIT

## Type `Unit`

The UNIT class

### Field(s)

UNIT.CategoryName

#string UNIT.ClassName

UNIT:Flare(FlareColor)

  Signal a flare at the position of the UNIT.

  ### Parameter

  - `FlareColor` :

#UNIT.FlareColor UNIT.FlareColor

UNIT:FlareGreen()

  Signal a green flare at the position of the UNIT.

UNIT:FlareRed()

  Signal a red flare at the position of the UNIT.

UNIT:FlareWhite()

  Signal a white flare at the position of the UNIT.

UNIT:FlareYellow()

  Signal a yellow flare at the position of the UNIT.

UNIT:GetCallSign()

UNIT:GetCategoryName()

UNIT:GetDCSUnit()

UNIT:GetID()

UNIT:GetName()

UNIT:GetPointVec2()

UNIT:GetPositionVec3()

UNIT:GetPrefix()

UNIT:GetTypeName()

UNIT:IsAir()

  Returns if the unit is of an air category.

  If the unit is a helicopter or a plane, then this method will return true, otherwise false.

  ### Return value

  #boolean: Air category evaluation result.

UNIT:IsAlive()

UNIT:New(DCSUnit)

  Create a new UNIT from DCSUnit.

  ### Parameter

  - `DCSUnit#Unit DCSUnit` :

  ### Return value

  Unit#UNIT:

UNIT:OtherUnitInRadius(AwaitUnit, Radius)

  ### Parameters

  - `AwaitUnit` :

  - `Radius` :

UNIT:Smoke(SmokeColor)

  Smoke the UNIT.

  ### Parameter

  - `SmokeColor` :

UNIT:SmokeBlue()

  Smoke the UNIT Blue.

#UNIT.SmokeColor UNIT.SmokeColor

UNIT:SmokeGreen()

  Smoke the UNIT Green.

UNIT:SmokeOrange()

  Smoke the UNIT Orange.

UNIT:SmokeRed()

  Smoke the UNIT Red.

UNIT:SmokeWhite()

  Smoke the UNIT White.

## Type `UNIT.FlareColor`

FlareColor

### Field(s)

UNIT.FlareColor.Green

UNIT.FlareColor.Red

UNIT.FlareColor.White

UNIT.FlareColor.Yellow

## Type `UNIT.SmokeColor`

SmokeColor

### Field(s)

UNIT.SmokeColor.Blue

UNIT.SmokeColor.Green

UNIT.SmokeColor.Orange

UNIT.SmokeColor.Red

UNIT.SmokeColor.White